%% 字符转日期格式
function time = str2date(Timestr)
Y = str2double(Timestr(1:4)); % 年份
M = str2double(Timestr(6:7)); % 月份
D = str2double(Timestr(9:10)); % 日期
H = str2double(Timestr(12:13)); % 小时
MI = str2double(Timestr(15:16)); % 分钟
S = str2double(Timestr(18:19)); % 秒数
time = datetime(Y,M,D,H,MI,S); % 以日期格式存储xml文件读取到的时间
end
